"""Module to extend Snap Connect"""
try:
    from .snapengine_version import __version__

    assert __version__
except ImportError:
    __version__ = "UNKNOWN"
try:
    from .snapengine_version import __revision__

    assert __revision__
except ImportError:
    __revision__ = "UNKNOWN"

from .snapengine import SnapEngine
from .snapengine import barcode2partnumber
from .snapengine import firmware_upgrade
from .snapengine import snapengine_main

__all__ = [
    'SnapEngine',
    'barcode2partnumber',
    'firmware_upgrade',
    'snapengine_main',
]
